$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.317-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.317-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1C9AA60F42C20C899B3000994082E96FB5F2262556FE9DBA3C813091D10434CB'
  checksumType = 'sha256'
  checksum64 = '1C9AA60F42C20C899B3000994082E96FB5F2262556FE9DBA3C813091D10434CB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.317-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
